/api/dashboard/analytics
GET
/api/dashboard/analytics
const url = 'https://example.com/api/dashboard/analytics';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/dashboard/analytics \ --header 'Authorization: Bearer <token>'Authorizations
Section intitulée « Authorizations »Parameters
Section intitulée « Parameters »Query Parameters
Section intitulée « Query Parameters » from
string format: date-time
to
string format: date-time
projects
string
users
string
clients
string
tags
string
compare_with_previous
boolean
tasks
string
description_contains
string
rounding[grain]
string
rounding[mode]
string
summary[breakdown_by]
string
summary[and_by]
string
summary[stack_by]
string
Responses
Section intitulée « Responses »OK
Media type application/json
object
period
object
from
string format: date-time
to
string format: date-time
previousPeriod
object
from
string format: date-time
to
string format: date-time
totals
object
hours
number format: double
billableHours
number format: double
activeProjects
integer format: int32
revenue
number format: double
currency
string
previousTotals
object
hours
number format: double
billableHours
number format: double
activeProjects
integer format: int32
revenue
number format: double
currency
string
byDay
Array<object>
object
date
string format: date
hours
number format: double
previousHours
number format: double
projects
Array<object>
object
projectId
string format: uuid
hours
number format: double
stacks
Array<object>
object
key
string
label
string
color
string
seconds
integer format: int64
byProject
Array<object>
object
projectId
string format: uuid
name
string
color
string
hours
number format: double
revenue
number format: double
byUser
Array<object>
object
userId
string format: uuid
displayName
string
hours
number format: double
revenue
number format: double
byClient
Array<object>
object
clientId
string format: uuid
name
string
hours
number format: double
revenue
number format: double
byTag
Array<object>
object
tagId
string format: uuid
name
string
color
string
hours
number format: double
pivot
Array<object>
object
projectId
string format: uuid
projectName
string
userId
string format: uuid
userDisplayName
string
clientId
string format: uuid
clientName
string
hours
number format: double
pct
number format: double
breakdown
object
primary
Array<object>
object
key
string
label
string
seconds
integer format: int64
secondsPct
number format: double
amount
object
value
number format: double
currency
string
children
Array<object> recursive
avgDailySeconds
integer format: int64
Example generated
{ "period": { "from": "2026-04-15T12:00:00Z", "to": "2026-04-15T12:00:00Z" }, "previousPeriod": { "from": "2026-04-15T12:00:00Z", "to": "2026-04-15T12:00:00Z" }, "totals": { "hours": 1, "billableHours": 1, "activeProjects": 1, "revenue": 1, "currency": "example" }, "previousTotals": { "hours": 1, "billableHours": 1, "activeProjects": 1, "revenue": 1, "currency": "example" }, "byDay": [ { "date": "2026-04-15", "hours": 1, "previousHours": 1, "projects": [ { "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "hours": 1 } ], "stacks": [ { "key": "example", "label": "example", "color": "example", "seconds": 1 } ] } ], "byProject": [ { "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "color": "example", "hours": 1, "revenue": 1 } ], "byUser": [ { "userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "displayName": "example", "hours": 1, "revenue": 1 } ], "byClient": [ { "clientId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "hours": 1, "revenue": 1 } ], "byTag": [ { "tagId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "color": "example", "hours": 1 } ], "pivot": [ { "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "projectName": "example", "userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "userDisplayName": "example", "clientId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "clientName": "example", "hours": 1, "pct": 1 } ], "breakdown": { "primary": [ { "key": "example", "label": "example", "seconds": 1, "secondsPct": 1, "amount": { "value": 1, "currency": "example" }, "children": [] } ] }, "avgDailySeconds": 1}Bad Request
Media type application/problem+json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
errors
object
key
additional properties
Array<string>
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "errors": { "additionalProperty": [ "example" ] }}